<template>


<div class="details">
      <h1> {{film.titre}}</h1>
    <br>
    <br>
    <h1>Details du film</h1>
    <tr v-for="unFilm in film" v-bind:key="unFilm.key">


  </tr>
      <br>
      <br>
      <p>Résumé: {{films.overview}}</p>
      <br>
    <br>

      <div class="content">

          <br>

        <p> Note: {{films.vote_average}}/10</p>



          <h1> Acteurs </h1>

          <br>

          <div class="card">
              <table>
                  <center>
              <tr v-for="unFilm in cast.cast" v-bind:key="unFilm.key">
                  <td>
              <p v-if="unFilm.profile_path" width="1px">
              <img v-bind:src="'http://image.tmdb.org/t/p/w500' + unFilm.profile_path">
              </p>
                  </td>

              <div class="container">
                  <td>
                  <p>Nom: {{unFilm.name}}</p>
                  <p>rôle: {{unFilm.character}}</p>
                  </td>
              </div>
              </tr>
                  </center>
              </table>
          </div>


      </div>
    </div>
</template>

<script>
  import axios from 'axios'

  export default {
    name: 'Details',
    data(){
      return{
        film : [],
        films : [],
        cast: [],
        populaire: [],

        unDetail: '',
        api_key: '3f2e73f99471592447bae321c22cd045'
      }
    },


    created(){
      this.film = {
        id: this.$route.query.id,
        titre: this.$route.query.titre

      }
      this.recherche();
      this.casting();
      this.popularite();
    },

    methods: {
        async recherche() {
            const response = await axios.get('https://api.themoviedb.org/3/movie/' + this.film.id + '?api_key=' + this.api_key + "&language=fr");
            this.films = await response.data;
        },
        async casting() {
            const response = await axios.get('https://api.themoviedb.org/3/movie/' + this.film.id + '/credits?api_key=' + this.api_key + "&language=fr");
            this.cast = await response.data;
        },
        async popularite() {
            const response = await axios.get('https://api.themoviedb.org/3/movie/' + this.film.id + '/populaire?api_key=' + this.api_key + "&language=fr");
            this.populaire = await response.data;
        },
    }
  }
</script>


<style>

    .td{
        height: 200px;
        width: 300px;
    }

    .content h1, .content h2, .content h3, .content h4, .content h5, .content h6 {
        color: #ffffff;
        font-size: 100%;
        font-weight: normal;
        line-height: 1.125;
    }

    .card{
        background-color: dimgrey;
    }

    .card {
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
        transition: 0.3s;
        border-radius: 5px; /* 5px rounded corners */
    }

    /* Add rounded corners to the top left and the top right corner of the image */
    img {
        width: 200px;
        border-radius: 5px 5px 5px 5px;
    }
</style>

